# DevCycle Next.js SDK

The Next.js SDK for DevCycle! 

DevCycle is a feature flag management provider with robust support for user targeting, realtime updates of flag values
and deep integrations with your development workflow.

The Next.js SDK provides first-class support for flagging in Next.js applications. It supports both the App Router
and Pages Router, and includes the following features:

- full support for App Router and server components
- keep server and client rendered content in sync with the same variable values
- realtime updates to variable values for both server and client components
- support for Suspense streaming rendering with non-blocking variable state retrieval
- support for static page rendering
- exclude component code from client bundle when feature is disabled

This SDK depends on the [fetch](https://github.com/BuilderIO/this-package-uses-fetch) API.
# Usage

To find usage documentation, visit our [docs](https://docs.devcycle.com/docs/sdk/client-side-sdks/nextjs).
