import { getBucketedConfig } from './bucketing.js';
export const getServerSideDevCycle = async ({ serverSDKKey, clientSDKKey, user, context, }) => {
    var _a;
    const userAgent = (_a = context.req.headers['user-agent']) !== null && _a !== void 0 ? _a : null;
    let bucketedConfig = null;
    try {
        const bucketingConfigResult = await getBucketedConfig(serverSDKKey, user, userAgent);
        bucketedConfig = bucketingConfigResult.config;
    }
    catch (e) {
        console.error('DevCycle: Error getting user config');
        // no-op
    }
    return {
        _devcycleSSR: {
            bucketedConfig,
            user,
            sdkKey: clientSDKKey,
            userAgent,
        },
    };
};
export const getStaticDevCycle = async ({ serverSDKKey, clientSDKKey, user, }) => {
    const bucketingConfig = await getBucketedConfig(serverSDKKey, user, null);
    return {
        _devcycleSSR: {
            bucketedConfig: bucketingConfig.config,
            sdkKey: clientSDKKey,
            user,
            userAgent: null,
        },
    };
};
//# sourceMappingURL=getServerSideDevCycle.js.map