import { cache } from 'react';
export const requestContext = (defaultValue) => {
    const getRef = cache(() => ({ current: defaultValue }));
    const getValue = () => getRef().current;
    const setValue = (value) => {
        getRef().current = value;
    };
    return [getValue, setValue];
};
export const [getClient, setClient] = requestContext(undefined);
export const cacheStorageError = () => {
    return new Error('React cache API is not working as expected. Please contact DevCycle support.');
};
//# sourceMappingURL=requestContext.js.map